package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF29D extends MwfRequest<MWF29D, MWF29DResponse> {

    @Parameter(name = "ATTR10_DT")
    MWF29D attr10Dt(String attr10Dt);
    @Parameter(name = "ATTR10_NAME")
    MWF29D attr10Name(String attr10Name);
    @Parameter(name = "ATTR10_VALUE")
    MWF29D attr10Value(String attr10Value);
    @Parameter(name = "ATTR1_DT")
    MWF29D attr1Dt(String attr1Dt);
    @Parameter(name = "ATTR1_NAME")
    MWF29D attr1Name(String attr1Name);
    @Parameter(name = "ATTR1_VALUE")
    MWF29D attr1Value(String attr1Value);
    @Parameter(name = "ATTR2_DT")
    MWF29D attr2Dt(String attr2Dt);
    @Parameter(name = "ATTR2_NAME")
    MWF29D attr2Name(String attr2Name);
    @Parameter(name = "ATTR2_VALUE")
    MWF29D attr2Value(String attr2Value);
    @Parameter(name = "ATTR3_DT")
    MWF29D attr3Dt(String attr3Dt);
    @Parameter(name = "ATTR3_NAME")
    MWF29D attr3Name(String attr3Name);
    @Parameter(name = "ATTR3_VALUE")
    MWF29D attr3Value(String attr3Value);
    @Parameter(name = "ATTR4_DT")
    MWF29D attr4Dt(String attr4Dt);
    @Parameter(name = "ATTR4_NAME")
    MWF29D attr4Name(String attr4Name);
    @Parameter(name = "ATTR4_VALUE")
    MWF29D attr4Value(String attr4Value);
    @Parameter(name = "ATTR5_DT")
    MWF29D attr5Dt(String attr5Dt);
    @Parameter(name = "ATTR5_NAME")
    MWF29D attr5Name(String attr5Name);
    @Parameter(name = "ATTR5_VALUE")
    MWF29D attr5Value(String attr5Value);
    @Parameter(name = "ATTR6_DT")
    MWF29D attr6Dt(String attr6Dt);
    @Parameter(name = "ATTR6_NAME")
    MWF29D attr6Name(String attr6Name);
    @Parameter(name = "ATTR6_VALUE")
    MWF29D attr6Value(String attr6Value);
    @Parameter(name = "ATTR7_DT")
    MWF29D attr7Dt(String attr7Dt);
    @Parameter(name = "ATTR7_NAME")
    MWF29D attr7Name(String attr7Name);
    @Parameter(name = "ATTR7_VALUE")
    MWF29D attr7Value(String attr7Value);
    @Parameter(name = "ATTR8_DT")
    MWF29D attr8Dt(String attr8Dt);
    @Parameter(name = "ATTR8_NAME")
    MWF29D attr8Name(String attr8Name);
    @Parameter(name = "ATTR8_VALUE")
    MWF29D attr8Value(String attr8Value);
    @Parameter(name = "ATTR9_DT")
    MWF29D attr9Dt(String attr9Dt);
    @Parameter(name = "ATTR9_NAME")
    MWF29D attr9Name(String attr9Name);
    @Parameter(name = "ATTR9_VALUE")
    MWF29D attr9Value(String attr9Value);
    @Parameter(name = "Data")
    MWF29D data(java.util.List<MWF29DData> data);
    @Parameter(name = "ISNULL1")
    MWF29D isnull1(Long isnull1);
    @Parameter(name = "ISNULL10")
    MWF29D isnull10(Long isnull10);
    @Parameter(name = "ISNULL2")
    MWF29D isnull2(Long isnull2);
    @Parameter(name = "ISNULL3")
    MWF29D isnull3(Long isnull3);
    @Parameter(name = "ISNULL4")
    MWF29D isnull4(Long isnull4);
    @Parameter(name = "ISNULL5")
    MWF29D isnull5(Long isnull5);
    @Parameter(name = "ISNULL6")
    MWF29D isnull6(Long isnull6);
    @Parameter(name = "ISNULL7")
    MWF29D isnull7(Long isnull7);
    @Parameter(name = "ISNULL8")
    MWF29D isnull8(Long isnull8);
    @Parameter(name = "ISNULL9")
    MWF29D isnull9(Long isnull9);
    @Parameter(name = "NEW_VERSION")
    MWF29D newVersion(Long newVersion);
    @Parameter(name = "ROLLBACK_LEVEL")
    MWF29D rollbackLevel(Long rollbackLevel);
}
